
Redmine - Defect #40409

rake aborted! during Redmine update

2024-03-15 16:52 - f0x Autumn

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 5.1.2

Description

During Redmine update: 5.1.1 --> 5.1.2

Guided by this manual: https://www.redmine.org/projects/redmine/wiki/RedmineUpgrade

On "Step 4":

$ bundle exec rake redmine:plugins:migrate RAILS_ENV=production

rake aborted!

NoMethodError: undefined method `[]' for Redmine::Acts::Attachable::ObjectTypeConstraint:Class

          options[:object_type] = /.+/ if options[:object_type] && options[:object_type].is_a?

(Regexp)

                                                 ^^^^^^^^^^^^^^

Environment:

  Redmine version                5.1.1.stable

  Ruby version                   3.1.2-p20 (2022-04-12) [x86_64-linux-gnu]

  Rails version                  6.1.7.6

  Environment                    production

  Database adapter               PostgreSQL

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

Redmine settings:

  Redmine theme                  Default

SCM:

  Mercurial                      6.3.2

  Git                            2.39.2

  Filesystem                     

Redmine plugins:

  redmine_wiki_extensions        0.9.4

  redmineup_tags                 2.0.13

History

#1 - 2024-03-15 18:11 - f0x Autumn

Very similar to Defect #39862: Attachments functionality for (custom) plugins broken since fix for CVE-2022-44030

( https://www.redmine.org/issues/39862#note-5 )

Marius BĂLTEANU wrote in #39862#note-14:

Committed and merged to stable branches, thanks!

 ...It was in Redmine 5.0.8

But I got the same error in the 5.1.2

#2 - 2024-03-16 13:06 - Holger Just

- Status changed from New to Needs feedback
You didn't show the full stack trace of your error, however, it's likely that this is the same cause as described in #39862#note-5, namely a plugin which

patched Redmine in an unsupported way.

Please update your plugins. If therror persists, please add some additional information, at least the full stack trace of your error.

#3 - 2024-03-16 16:34 - f0x Autumn

Holger Just wrote in #note-2:

You didn't show the full stack trace of your error, however, it's likely that this is the same cause as described in #39862#note-5, namely a plugin

which patched Redmine in an unsupported way.

Please update your plugins. If therror persists, please add some additional information, at least the full stack trace of your error.

 You are right! After updating the plugin - Redmine update was completed successfully.

Thank you.

This Issue can be closed.

#4 - 2024-03-18 08:43 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Resolution set to Invalid
